Documentation
Qualifications
Interactive reference for the qualifications endpoints. Fill in parameters, run live requests with your own token, and copy ready-to-paste code.
GET
/v1/data/qualificationsqualifications:readDegree and diploma programmes with NQF levels and APS requirements.
Query parameters
GET /v1/data/qualifications?page=1&per_page=20Code
curl "https://api.labs.org.za/v1/data/qualifications?page=1&per_page=20" \ -H "Authorization: Bearer labs_sandbox_your_token_here"
Response
Run the request to see a live response.
Example response shape
{
"data": [
{ "id": "d246168c-cec4-4e11-899f-5c8aac55032a", "name": "BSc Computer Science", "nqf_level": 7, "min_aps": 34 }
],
"meta": { "total": 2143, "page": 1, "per_page": 20 }
}GET
/v1/data/qualifications/:idqualifications:readA single qualification by id.
Path parameters
GET /v1/data/qualifications/d246168c-cec4-4e11-899f-5c8aac55032aCode
curl "https://api.labs.org.za/v1/data/qualifications/d246168c-cec4-4e11-899f-5c8aac55032a" \ -H "Authorization: Bearer labs_sandbox_your_token_here"
Response
Run the request to see a live response.
Example response shape
{
"data": {
"id": "d246168c-cec4-4e11-899f-5c8aac55032a",
"name": "BSc Computer Science",
"nqf_level": 7,
"min_aps": 34
}
}GET
/v1/data/qualifications/:id/requirementsqualifications:requirementsSubject requirements for a qualification.
Path parameters
GET /v1/data/qualifications/d246168c-cec4-4e11-899f-5c8aac55032a/requirementsCode
curl "https://api.labs.org.za/v1/data/qualifications/d246168c-cec4-4e11-899f-5c8aac55032a/requirements" \ -H "Authorization: Bearer labs_sandbox_your_token_here"
Response
Run the request to see a live response.
Example response shape
{
"data": [
{
"subject": { "name": "Mathematics", "slug": "math" },
"min_level": 5,
"min_percentage": 60,
"is_compulsory": true
},
{
"subject": { "name": "Physical Sciences", "slug": "phsc" },
"min_level": 4,
"min_percentage": 50,
"is_compulsory": false
}
]
}